Package: org.grails.compiler.injection

## [Groovy] Class GroovyEclipseCompilationHelper

- org.grails.compiler.injection.GroovyEclipseCompilationHelper

-     @groovy.transform.CompileStatic
      class GroovyEclipseCompilationHelper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyEclipseCompilationHelper ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.io.File` | `resolveEclipseCompilationTargetDirectory(org.codehaus.groovy.control.SourceUnit sourceUnit)` Attempts to resolve the compilation directory when using Eclipse

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### GroovyEclipseCompilationHelper()

  - ### Method Detail

    - #### static java.io.File resolveEclipseCompilationTargetDirectory(org.codehaus.groovy.control.SourceUnit sourceUnit)

      Attempts to resolve the compilation directory when using Eclipse

      Parameters:
        `sourceUnit` - The source unit
      Returns:
        The File that represents the root directory or null